/* smlng.h

   07/26/01
                                                                           */

#ifndef SMLNG_H__
#define SMLNG_H__

#include"token.h"


#define MAX_U_LEVEL     3

/* We could have use bitfields, but memory is pretty cheap anyways */
typedef struct
{
   int b;         /* Set B attribute                           */
   int em;        /* Set EM attribute                          */
   int i;         /* Set I attribute                           */
   int s;         /* Set S attribute                           */
   int tt;        /* Set TT attribute                          */
   int u;         /* U level (0..3), incremented using <U> tag */
   int size;      /* Size (0..9), specified by <0> .. <9> tags */
   int color;     /* Color (r, g, b, c, m, y, k, w)            */

} Attr;

void SetAttribute(Attr *attr, Token *tag);
void SetDefaultAttribute(Attr *attr);


#endif
